#!/bin/bash

# load sysconfig atop
. /etc/sysconfig/atop

# verify if log file exists
#
if [ ! -f $LOGPATH/atop.log ];
then
   touch $LOGPATH/atop.log
fi

# verify if atop still runs for daily logging
#
if [ -f $PIDFILE ]; then
	PID=`cat $PIDFILE`
	if [ -e $PIDFILE ] && ps -p $PID | grep 'atop$' > /dev/null
	then
	        kill -USR1 $PID       # take final sample
	        sleep 3
	        kill -TERM $PID
	        rm $PIDFILE
	        sleep 1
	else
	        exit 1
	fi
fi

# start atop for all processes with interval of 10 minutes
#
$BINPATH/atop -a -w $LOGPATH/atop_$CURDAY $INTERVAL > $LOGPATH/atop.log 2>&1 &
echo $! > $PIDFILE

# delete logfiles older than four weeks
#
(sleep 3; find $LOGPATH -name 'atop_*' -mtime +28 -exec rm {} \; )&

exit 0
