
Name:           atop
Version:        1.22
Release:        1%{?dist}
Summary:        An advanced interactive monitor to view the load on system and process level

Group:          Applications/System
License:        GPLv2
URL:            http://www.atcomputing.nl/Tools/atop/
Source0:        http://www.atcomputing.nl/Tools/%{name}/packages/%{name}-%{version}.tar.gz
Source1:        atop.logrotate
Source2:        atop.init
Source3:        atop.crondaily
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ncurses >= 5.6

BuildRequires:  zlib-devel >= 1.2.3
BuildRequires:  ncurses-devel >= 5.6

%description
An advanced interactive monitor for Linux-systems to view the load on 
system-level and process-level.
The command atop has some major advantages compared to other
performance-monitors: 
   - Resource consumption by all processes
   - Utilization of all relevant resources
   - Permanent logging of resource utilization
   - Highlight critical resources
   - Watch activity only
   - Watch deviations only
   - Accumulated process activity per user
   - Accumulated process activity per program
For more informations: http://www.atcomputing.nl/Tools/atop
** package don't has resources the patch:
http://www.atcomputing.nl/Tools/atop/kernpatch.html
 
%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -Dp -m 0755 atop $RPM_BUILD_ROOT%{_bindir}/atop
ln -s atop $RPM_BUILD_ROOT%{_bindir}/atopsar
install -Dp -m 0644 man/atop.1 $RPM_BUILD_ROOT%{_mandir}/man1/atop.1
install -Dp -m 0644 man/atopsar.1 $RPM_BUILD_ROOT%{_mandir}/man1/atopsar.1
install -Dp -m 0644 atop.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/atop
install -Dp -m 644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/atop
install -Dp -m 0755 -p %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/atop
install -Dp -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/atop
install -d $RPM_BUILD_ROOT%{_localstatedir}/log/atop

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add atop
/etc/cron.daily/atop

%preun
if [ $1 -eq 0 ]; then
    /sbin/service atop stop &>/dev/null || :
    /sbin/chkconfig --del atop 
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service atop condrestart &>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHOR COPYING README ChangeLog
%config(noreplace) %{_sysconfdir}/cron.d/atop
%config(noreplace) %{_sysconfdir}/logrotate.d/atop
%{_sysconfdir}/cron.daily/atop
%{_initrddir}/atop
%{_bindir}/atopsar
%{_bindir}/atop
%{_mandir}/man1/atop.1.gz
%{_mandir}/man1/atopsar.1.gz
%attr(0755,root,root) %dir %{_localstatedir}/log/atop


%changelog

* Sat Jan 26 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.22-1
- Initial RPM release
