#!/bin/bash

# load sysconfig atop
. /etc/sysconfig/atop

# verify if atop still runs for daily logging
#
if [ -f $PIDFILE ]; then
	PID=`cat $PIDFILE`
	if [ -e $PIDFILE ] && ps -p $PID | grep 'atop$' > /dev/null
	then
	        kill -USR1 $PID       # take final sample
	        sleep 3
	        kill -TERM $PID
	        rm $PIDFILE
	        sleep 1
	else
	        exit 1
	fi
fi

# start atop for all processes with interval of $INTERVAL 
# (by default 10) minutes
$BINPATH/atop -a -w $LOGPATH/atop_$CURDAY $INTERVAL > $LOGPATH/atop.log 2>&1 &
echo $! > $PIDFILE

exit 0
